const {actionPromise} = require("../reducers/PromiseReducer");
const {gql} = require("./PathDB");

export const actionGoodFindOne = (_id) =>
    actionPromise('goodFindOne', gql(`query goodFindOne($q :String){
            GoodFindOne(query:  $q){
                _id name price createdAt description images{
                    _id url
                }
            }
    }`, { q: JSON.stringify([{ _id }]) }))
